Kintone CDN

Overview

Kintone CDN provides JavaScript programs and CSS, for Kintone users to use to customize their Kintone applications.
Check the How to Use the Kintone CDN article for information on how to use these libraries with your Kintone App.
Read through the Kintone CDN Terms of Service and the Notes below before using the Kintone CDN.

  • The libraries that are posted here ones that we believe will be useful for business systems.
  • The cache for Kintone CDN is available for 10 years.
  • We will monitor new versions and so that they will be added onto the Kintone CDN.
  • In principle, libraries posted on the Kintone CDN (including old versions) will not be removed.

Libraries

The URLs below show the latest available versions.

  • URL: https://js.kintone.com/ace/v1.16.0/ace.js
  • Versions: 1.16.0 (External link) , 1.4.1, 1.3.3, 1.3.1, 1.2.9, 1.2.8, 1.2.6, 1.2.5, 1.2.3, 1.2.2, 1.2.0
  • Author: Fabian Jakobs

Versions before and including 1.4.1 contain vulnerabilities that can be checked in this commit (External link) . Version 1.16.0 does not include this vulnerbaility.

As of January 1, 2022, Google no longer updates AngularJS to fix security, browser compatibility, or jQuery issues.
The usage of an alternative library is recommended.

  • URL: https://js.kintone.com/angularjs/v1.8.3/angular.min.js
  • Versions: 1.8.3 (External link) , 1.8.2 (External link) , 1.8.0 (External link) , 1.7.9, 1.7.8, 1.7.7, 1.7.6, 1.7.5, 1.7.4, 1.7.3, 1.7.0, 1.6.10, 1.6.9, 1.6.8, 1.6.7, 1.6.6, 1.6.5, 1.6.4, 1.6.3, 1.6.2, 1.6.0, 1.5.11, 1.5.10, 1.5.9, 1.5.8, 1.5.7, 1.5.6, 1.5.5, 1.5.3, 1.5.0, 1..4.9, 1.4.8, 1.4.7, 1.4.5, 1.4.3, 1.4.1, 1.3.20, 1.2.29, 1.3.18, 1.3.16, 1.3.15, 1.3.14, 1.3.11, 1.3.5, 1.2.28, 1.2.27, 1.2.26
  • Author: Google LLC

Versions before 1.8.0 contain vulnerabilities that can be read in the AngularJS release notes. The vulnerability has been fixed in 1.8.0.

  • URL: https://js.kintone.com/axios/v1.6.8/axios.min.js
  • Versions: 1.6.8 (External link) , 1.6.7 (External link) , 1.6.4 (External link) , 1.6.2, 1.6.0, 1.5.1, 1.5.0, 1.4.0, 1.3.6, 1.3.4, 1.2.6, 1.2.1, 1.2.0, 1.1.3, 0.27.0,0.27.2, 0.27.0, 0.26.1,0.26.0, 0.25.0, 0.21.4, 0.24.0, 0.21.4, 0.21.1, 0.21.0, 0.19.2, 0.19.0
  • Author: Matt Zabriskie

Versions before 1.6.4 contain vulnerabilities that can be read in the following pull request (External link) . The vulnerability has been fixed in 1.6.4.

  • URL: https://js.kintone.com/chartjs/v4.4.2/chart.umd.js (On and after v4.0.1)
  • URL: https://js.kintone.com/chartjs/v3.9.1/Chart.min.js (On and before v3.9.1)
  • Versions: 4.4.2 (External link) , 4.4.1 (External link) , 4.4.0 (External link) , 4.3.2 (External link) , 4.3.0 (External link) , 4.2.1 (External link) , 4.2.0 (External link) , 4.1.1 (External link) , 4.0.1 (External link) , 3.9.1 (External link) , 3.8.2 (External link) ,3.8.0, 3.7.1, 3.7.0, 3.6.0, 3.5.1, 3.5.0, 2.7.3, 2.7.2, 2.6.0, 2.5.0, 2.4.0, 2.3.0, 2.2.2, 2.1.6, 2.1.4, 2.1.2, 1.0.2, 1.0.1, 1.0.1 beta 4
  • Author: Chart.js Contributors

Versions before 3.8.2 contain vulnerabilities that can be read in the following information. The vulnerability has been fixed in 3.8.2.

  • URL: https://js.kintone.com/dompurify/3.1.1/purify.min.js
  • Versions: 3.1.1 (External link) , 3.0.11 (External link) , 3.0.9 (External link) , 3.0.8 (External link) , 3.0.6 (External link) , 3.0.5 (External link) , 3.0.4 (External link) , 3.0.3 (External link) , 3.0.2 (External link) , 3.0.1 (External link) , 2.4.3 (External link) , 2.4.1, 2.4.0, 2.3.1,2.3.8, 2.3.6, 2.3.5, 2.3.3, 2.3.4, 2.3.3, 2.3.0, 2.2.9, 2.2.8, 2.2.7, 2.2.6, 2.2.3, 2.2.2, 2.2.0, 2.1.1, 2.0.12, 2.0.11, 2.0.8, 2.0.7, 2.0.3, 1.0.11, 1.0.10, 1.0.9, 1.0.8, 1.0.7, 1.0.5, 1.0.4, 1.0.3, 1.0.2, 0.9.0, 0.8.9, 0.8.5, 0.8.4, 0.8.3, 0.8.2, 0.8.1, 0.8.0, 0.7.4, 0.7.3, 0.7.2, 0.6.5
  • Author: Dr.-Ing. Mario Heiderich and Cure53

Versions before 2.4.3 contain vulnerabilities that can be read in the DOMPurify release notes (External link) . The vulnerability has been fixed in 2.4.3.

ver. 4.X

ver. 5.X

ver. 5.6.3 and up

For Font Awesome versions 5.6.3 and onward, both CSS and JS files are required to be imported.

FullCalendar 1.x, 2.x, 3.x

FullCalendar 4.x

Be sure to use the correct files associated with the desired feature.

  • URL: https://js.kintone.com/fullcalendar/v4.4.0/core/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.4.0/core/main.min.css
  • URL: https://js.kintone.com/fullcalendar/v4.4.0/daygrid/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.4.0/daygrid/main.min.css
  • URL: https://js.kintone.com/fullcalendar/v4.4.0/google-calendar/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.4.0/interaction/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.4.0/list/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.4.0/list/main.min.css
  • URL: https://js.kintone.com/fullcalendar/v4.4.0/timegrid/main.min.js
  • URL: https://js.kintone.com/fullcalendar/v4.4.0/timegrid/main.min.css
  • Versions: 4.4.0 (External link) , 4.3.1 (External link) , 4.2.0 (External link) , 4.1.0 (External link)
  • Author: Adam Shaw

There were a few major changes with the v4 update:

  1. FullCalendar is no longer dependent on jQuery and Moment.js.
  2. To utilize FullCalendar plug-ins, they must be declared within the Kintone App's JavaScript file.
  3. Settings and callbacks have been reworked.

For more details on how to use FullCalendar v4, refer to the FullCalendar v4 Release Notes and Upgrade Guide (External link) .

FullCalendar 5.x

FullCalendar 6.x

As of v7.0.0, Handsontable is no longer released under the MIT license.
The latest version will not be hosted on the Kintone CDN.
If you wish to use versions beyond v7.0.0, please purchase the necessary license from the Handsontable website (External link) , and use it under their license terms.

  • URL: https://js.kintone.com/handsontable/6.2.2/handsontable.full.min.js
  • URL: https://js.kintone.com/handsontable/6.2.2/handsontable.full.min.css
  • Versions: 6.2.2, 6.2.0, 6.1.1, 5.0.2, 5.0.1, 5.0.0, 4.0.0, 3.0.0, 2.0.0, 0.38.1, 0.37.0, 0.35.1, 0.35.0, 0.34.5, 0.34.4, 0.34.0, 0.33.0, 0.32.0, 0.31.2, 0.31.1, 0.31.0, 0.30.1, 0.29.2, 0.29.0, 0.28.4, 0.28.3, 0.27.0, 0.26.0, 0.25.0, 0.24.3, 0.24.1, 0.23.0, 0.21.0, 0.20.0, .17.0, 0.16.1, 0.15.1, 0.14.1
  • Author: Handsoncode
  • URL: https://js.kintone.com/highlightjs/10.5.0/highlight.min.js
  • URL: https://js.kintone.com/highlightjs/10.5.0/styles/default.min.css
  • Versions: 10.5.0 (External link) , 10.4.1 (External link) , 9.13.1
  • Author: Ivan Sagalaev

Versions before 10.4.1 contain vulnerabilities that can be read in the highlight.js GitHub release notes (External link) . The vulnerability has been fixed in 10.4.1.

As of v4.7.1, jqGrid is no longer released under the MIT license.
If you wish to use versions beyond v4.7.1, please purchase the necessary license from the Guriddo website (External link) , and use it under their license terms.

  • URL: https://js.kintone.com/jqgrid/4.6.0/jquery.jqGrid.min.js
  • URL: https://js.kintone.com/jqgrid/4.6.0/grid.locale-ja.js
  • URL: https://js.kintone.com/jqgrid/4.6.0/grid.locale-en.js
  • URL: https://js.kintone.com/jqgrid/4.6.0/grid.locale-cn.js
  • URL: https://js.kintone.com/jqgrid/4.6.0/ui.jqgrid.css
  • Versions: 4.6.0
  • Author: tonytomov
  • URL: https://js.kintone.com/jquery/3.7.1/jquery.min.js
  • Versions: 3.7.1 (External link) , 3.7.0 (External link) , 3.6.4 (External link) , 3.6.3 (External link) , 3.6.1 (External link) , 3.6.0 (External link) , 3.5.1 (External link) , 3.5.0, 3.4.1, 3.4.0, 3.3.1, 3.2.1, 3.2.0, 3.1.1, 3.1.0, 3.0.0, 2.2.4, 2.2.3, 2.2.1, 2.2.0, 2.1.4, 2.1.3, 2.1.1, 1.12.4, 1.12.3, 1.12.1, 1.12.0, 1.11.3, 1.11.2, 1.11.1
  • Author: OpenJS Foundation and other contributors

Versions before 3.5.0 contain vulnerabilities that can be read in the jQuery release notes (External link) . The vulnerability has been fixed in 3.5.0.

As of October 7th, 2021, jQuery UI is in maintenance-only mode.
Patches may be issued to resolve critical security, interoperability, or regression bugs. The usage of an alternative library is recommended.

  • URL: https://js.kintone.com/jqueryui/1.13.3/jquery-ui.min.js
  • URL: https://js.kintone.com/jqueryui/1.13.3/themes/smoothness/jquery-ui.css
  • URL: https://js.kintone.com/jqueryui/1.13.3/themes/ui-lightness/jquery-ui.css
  • URL: https://js.kintone.com/jqueryui/1.13.3/themes/pepper-grinder/jquery-ui.css Other jQuery UI themes are also available on the CDN.
  • Versions: 1.13.3 (External link) , 1.13.2 (External link) , 1.13.1 (External link) , 1.13.0 (External link) , 1.12.1, 1.12.0, 1.11.4, 1.11.3, 1.11.2, 1.11.1

Versions before 1.13.0 contain vulnerabilities that can be read in the jQuery UI Changelog (External link) . The vulnerability has been fixed in 1.13.0.

  • URL: https://js.kintone.com/jquerygantt/20210106/jquery.fn.gantt.min.js
  • URL: https://js.kintone.com/jquerygantt/20210106/css/style.css
  • Versions: 20210106 (External link) , 20140623 (External link) , 1.1.0 (External link)
  • Author: Marek Bielańczuk, Tait Brown, Leo Pfeifenberger, Grzegorz Russek and Contributors
  • URL: https://js.kintone.com/lodash/4.17.21/lodash.min.js
  • Versions: 4.17.21 (External link) , 4.17.20, 4.17.11, 4.17.10, 4.17.5, 4.17.4
  • Author: OpenJS Foundation and other contributors

Versions before 4.17.21 contain vulnerabilities that can be read in the following pull request (External link) . The vulnerability has been fixed in 4.17.21.

  • URL: https://js.kintone.com/luxon/3.4.4/luxon.min.js
  • Versions: 3.4.4 (External link) , 3.4.3 (External link) , 3.4.2 (External link) , 3.3.0 (External link) , 3.2.1 (External link) ,3.1.1, 3.0.4, 3.0.3, 3.0.1, 2.4.0, 2.3.2, 2.3.1, 2.3.0, 2.1.1, 2.0.2, 2.0.1, 1.27.0, 1.26.0, 1.25.0, 1.24.1
  • Author: Isaac Cambron

Versions before 3.2.1 contain vulnerabilities that can be checked in the this GitHub post (External link) . The vulnerability has been fixed in 3.2.1.

  • URL: https://js.kintone.com/markedjs/v12.0.0/marked.min.js
  • Versions: 12.0.0 (External link) , 4.0.12, 2.0.3, 0.7.0, 0.5.1, 0.5.0, 0.4.0, 0.3.19, 0.3.7, 0.3.6, 0.3.5, 0.3.3
  • Author: Christopher Jeffrey

Versions before 12.0.0 contain vulnerabilities that can be read in the following pull request (External link) . The vulnerability has been fixed in 12.0.0.

Moment.js is now in maintenance mode.
It is advised to use a different JavaScript date and time library instead, such as Luxon (External link) .

  • URL: https://js.kintone.com/momentjs/2.30.1/moment.min.js
  • URL: https://js.kintone.com/momentjs/2.30.1/moment-with-locales.min.js
  • Versions: 2.30.1 (External link) , 2.29.4 (External link) , 2.29.3, 2.29.2, 2.29.1, 2.29.0, 2.27.0, 2.26.0, 2.24.0, 2.23.0, 2.22.1, 2.22.0, 2.21.0, 2.20.1, 2.19.2, 2.19.1, 2.18.1, 2.17.1, 2.15.2, 2.15.1, 2.14.1, 2.13.0, 2.12.0, 2.11.1, 2.10.6, 2.10.3, 2.10.2, 2.9.0, 2.8.4, 2.8.3
  • Author: Iskren Ivov Chernev

Versions under 2.29.4 contain vulnerabilities that can be read in this GitHub post (External link) . The vulnerability has been fixed in 2.29.4.

  • URL: https://js.kintone.com/moment-timezone/0.5.40/moment-timezone.min.js
  • URL: https://js.kintone.com/moment-timezone/0.5.40/moment-timezone-with-data.min.js
  • Versions: 0.5.40 (External link) , 0.5.38, 0.5.23, 0.5.17, 0.5.16, 0.5.14, 0.5.13
  • Author: Tim Wood

Versions under 0.5.40 contain vulnerabilities that can be read in this GitHub release notes (External link) . The vulnerability has been fixed in 0.5.40.

Versions under 6.0.0 contain vulnerabilities that can be read in this GitHub Issue (External link) . The vulnerability has been fixed in 6.0.0.

  • URL: https://js.kintone.com/slabtext/2.2.0/jquery.slabtext.min.js
  • URL: https://js.kintone.com/slabtext/2.2.0/slabtext.css
  • Versions: 2.2.0 (External link)
  • Author: Brian McAllister
  • URL: https://js.kintone.com/spinjs/2.3.2/spin.min.js
  • Versions: 2.3.2 (External link) , 2.0.1 (External link)
  • Author: Felix Gnass

Due to the library provider changing the format they provide the library in, version 2.3.2 will be our final version that we add to the Kintone CDN.

ver. 0.X

  • URL: https://js.kintone.com/sweetalert/v0.5.0/sweet-alert.min.js
  • URL: https://js.kintone.com/sweetalert/v0.5.0/sweet-alert.css
  • Versions: 0.5.0 (External link)
  • Author: Tristan Edwards

ver. 1.X

  • URL: https://js.kintone.com/sweetalert/v1.1.3/sweetalert.min.js
  • URL: https://js.kintone.com/sweetalert/v1.1.3/sweetalert.css
  • Versions: 1.1.3 (External link) , 1.1.0 (External link)
  • Author: Tristan Edwards

ver. 2.X (css not needed)

  • URL: https://js.kintone.com/toastr/2.1.4/toastr.min.js
  • URL: https://js.kintone.com/toastr/2.1.4/toastr.min.css
  • Versions: 2.1.4 (External link)
  • Author: Toastr Maintainers

Versions before 2.6.12 contain vulnerabilities that can be read in the Vue.js GitHub release notes (External link) . The vulnerability has been fixed in 2.6.12.

ver. 3.X

Notes

  • The libraries above were not created by Kintone Corp.
  • We do not accept inquiries based on features and specifications of these libraries.
  • If you have any questions on how to use the libraries with Kintone, post your question in the Kintone Developer Forum (External link) .